package model

import "github.com/zeromicro/go-zero/core/stores/sqlx"

var _ FsFontModel = (*customFsFontModel)(nil)

type (
	// FsFontModel is an interface to be customized, add more methods here,
	// and implement the added methods in customFsFontModel.
	FsFontModel interface {
		fsFontModel
	}

	customFsFontModel struct {
		*defaultFsFontModel
	}
)

// NewFsFontModel returns a model for the database table.
func NewFsFontModel(conn sqlx.SqlConn) FsFontModel {
	return &customFsFontModel{
		defaultFsFontModel: newFsFontModel(conn),
	}
}
